---
schema_version: "1"
id: 7e8715e95b98e745613ab013a11ab1a31fbc082b7ed167d1d9d2537c4a1da934
title: DELETE /sms/v1/keyword/{keywordId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/deleteKeywordViaKeywordId.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/deleteKeywordViaKeywordId.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: b72127f5cf68ab4d6cfa54c0148bf2fdbacf6f948ce75b9a58fcb5bb6335b200
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# DELETE /sms/v1/keyword/{keywordId}

## Overview

Deletes a keyword on an account given a keyword Id.

### URL Parameters

<!--complex table-->

| Name          | Type   |              | Description                                |
| ------------- | ------ | ------------ | ------------------------------------------ |
| **keywordId** | string | **Required** | Encoded Id of keyword that will be deleted |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
DELETE /sms/v1/keyword/alm5LXNSSktGMGluRznRb1Rb1R5MDZFQTo4Njow
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
HTTP/1.1 202 Accepted
{
    "Status": "SUCCESS Keyword with id alm5LXNSSktGMGluRznRb1Rb1R5MDZFQTo4Njow was successfully delete."
}
```
